package com.jianshui.income.domain.dto;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description 航信进项查验VO类
 * @Author 巩权林
 * @Date 2021-12-17 10:02
 **/
public class AisinoIncomeDTO {

    // 不含税金额，发票种类为 01，02，03，15,08时不可为空:01，02，03 填写发票不含税金额，15 填写发票车价合计
    String fpje;

    // 发票代码
    String fpdm;

    // 发票号码
    String fphm;

    // 开票日期
    @JSONField(format = "yyyyMMdd")
    Date kprq;

    // 发票种类
    String fpzl;

    // 校验码
    String jym;

    public String getFpje() {
        return fpje;
    }

    public void setFpje(String fpje) {
        this.fpje = fpje;
    }

    public String getFpdm() {
        return fpdm;
    }

    public void setFpdm(String fpdm) {
        this.fpdm = fpdm;
    }

    public String getFphm() {
        return fphm;
    }

    public void setFphm(String fphm) {
        this.fphm = fphm;
    }

    public Date getKprq() {
        return kprq;
    }

    public void setKprq(Date kprq) {
        this.kprq = kprq;
    }

    public String getFpzl() {
        return fpzl;
    }

    public void setFpzl(String fpzl) {
        this.fpzl = fpzl;
    }

    public String getJym() {
        return jym;
    }

    public void setJym(String jym) {
        this.jym = jym;
    }

    @Override
    public String toString() {
        return "AisinoIncomeVO{" +
                "fpje=" + fpje +
                ", fpdm='" + fpdm + '\'' +
                ", fphm='" + fphm + '\'' +
                ", kprq=" + kprq +
                ", fpzl='" + fpzl + '\'' +
                '}';
    }
}
